#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "DBDTunableRowHandle.h"
#include "PostDrawPatrolHasteApplier.generated.h"

class UStatusEffect;
class UCurveFloat;

USTRUCT(BlueprintType)
struct FPostDrawPatrolHasteApplier
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _hasteClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _hasteValue;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UCurveFloat* _hasteDurationByPathLength;

public:
	THEK30_API FPostDrawPatrolHasteApplier();
};

FORCEINLINE uint32 GetTypeHash(const FPostDrawPatrolHasteApplier) { return 0; }
